package org.dataone.client.audit;

import static org.junit.Assert.*;

import org.dataone.client.D1TypeBuilder;
import org.dataone.service.exceptions.NotImplemented;
import org.dataone.service.types.v1.Identifier;

import org.junit.Test;

public class TestAuditWrappers {
	
	@Test
	public void testMNAuditWrapper_archiveNotImpl() {
		
		AuditMNode mn = new AuditMNode("x");
		try {
			mn.archive(null, D1TypeBuilder.buildIdentifier("foo"));
			fail("mn.archive should only throw NotImplemented exception");
		} catch (NotImplemented ok) {
			;
		}
	}
	
	@Test
	public void testMNAuditWrapper_deleteNotImpl() {
		
		AuditMNode mn = new AuditMNode("x");
		try {
			mn.delete(null, D1TypeBuilder.buildIdentifier("foo"));
			fail("mn.delete should only throw NotImplemented exception");
		} catch (NotImplemented ok) {
			;
		}
	}

	
	@Test
	public void testMNAuditWrapper_generateIdentifierNotImpl() {
		
		AuditMNode mn = new AuditMNode("x");
		try {
			Identifier id = mn.generateIdentifier(null, "aScheme", "afragment");
			fail("mn.generateIdentifier should only throw NotImplemented exception");
		} catch (NotImplemented ok) {
			;
		}
	}

	
	@Test
	public void testCNAuditWrapper_archiveNotImpl() {
		
		AuditCNode cn = new AuditCNode("x");
		try {
			cn.archive(null, D1TypeBuilder.buildIdentifier("foo"));
			fail("cn.archive should only throw NotImplemented exception");
		} catch (NotImplemented ok) {
			;
		}
	}
	
	@Test
	public void testCNAuditWrapper_deleteNotImpl() {
		
		AuditCNode cn = new AuditCNode("x");
		try {
			cn.delete(null, D1TypeBuilder.buildIdentifier("foo"));
			fail("cn.delete should only throw NotImplemented exception");
		} catch (NotImplemented ok) {
			;
		}
	}

	
	@Test
	public void testCNAuditWrapper_generateIdentifierNotImpl() {
		
		AuditCNode cn = new AuditCNode("x");
		try {
			Identifier id = cn.generateIdentifier(null, "aScheme", "afragment");
			fail("cn.generateIdentifier should only throw NotImplemented exception");
		} catch (NotImplemented ok) {
			;
		}
	}


}
